---
title: "Set Group Purpose"
slug: "set-group-purpose"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Group Purpose

Post/api/v1/groups.setPurpose

(Obsolete) Sets the description for the group/channel (the same as `groups.setDescription`).

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='a65150fe-1fa0-46b3-80a0-a450423a58ac'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='776247bb-804c-4a8d-89a2-f38f1b1708f3'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "purpose": "Test out everything"
}
```

object  roomIdstring    Required

The private group ID.

purposestring    Required

The group purpose

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6f03a922-1e97-4231-9f5c-2f4fe5fc0f7d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='d4a630a3-1291-45e7-9f65-d222ded70767'>Success</option>
</select>Success

```json
{
  "purpose": "Testing out everything.",
  "success": true
}
```

object  purposestring    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c11da211-fb39-46dd-8566-35b87e7c6fdd'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='cae623a7-c0eb-4da4-b292-7ec917121eeb'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
